# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "row2pgcopy"
version = "1.4.1"
description = "Simple Serializer for PGCOPY"
documentation = "https://docs.rs/crate/row2pgcopy"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/takanoriyanagitani/rs-row2pgcopy"

[dependencies.bytes]
version = "1.5"
features = ["std"]
default-features = false

[dependencies.postgres-types]
version = "0.2"
features = ["with-time-0_3"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["std"]
default-features = false

[dependencies.time]
version = "0.3"
features = [
    "std",
    "parsing",
    "macros",
]
optional = true
default-features = false

[features]
default = ["time_primitive"]
time_primitive = ["time"]

[lints.rust]
unsafe_code = "forbid"
